Name: man-pages-cs
Version: 0.13
Release: 3
Copyright: distributable
Group: Documentation
BuildRoot: /var/tmp/man-pages-cs-root
Icon: books-cs.gif
#AutoReqProv: false
BuildArchitectures: noarch
Prereq: perl man
Requires: groff-latin2 groff-czech
Summary: Czech Linux Manual Pages
Summary(cs): esk manulov strnky

Source: ftp://ftp.vslib.cz/pub/unix/linux/man-pages-cs/man-pages-cs-0.13.tar.gz
Source1: man-pages-cs-makewhatis.cs
Source2: man-pages-cs-makewhatis-cs.cron
Source3: man.config.patch

%description
This package contains Linux man pages in Czech.

%description -l cs
esk manulov strnky.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/usr/man/cs/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/cs/cat{1,2,3,4,5,6,7,8,9,n}
make MANDIR=$RPM_BUILD_ROOT/usr/man/cs

mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/sbin/makewhatis.cs
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-cs

%clean
rm -r $RPM_BUILD_ROOT

%triggerin -- man
if [ -x /usr/bin/perl -a -r /etc/man.config ]; then
  rm -f /etc/man.config.*
  perl -pi -e 's/-Tascii/-Tlatin1/ if /^(NROFF|NEQN)/;' /etc/man.config
  echo %name: /etc/man.config modified for ISO-8859-2
else
  echo %name: can not modify /etc/man.config for ISO-8859-2
fi
grep NROFF /etc/man.config

%files
%defattr(-,root,root)
%doc README* man-pages-* CONTRIB
%doc $RPM_SOURCE_DIR/man.config.patch
/usr/man/cs
/var/catman/cs
%attr(0755,root,root) /usr/sbin/makewhatis.cs
%attr(0755,root,root) %config /etc/cron.weekly/makewhatis-cs

%changelog
* Wed Jul 21 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
  - triggered version (man upgrade allowed)
  - spec file clean up

* Fri Jun  4 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
  - patching /etc/man.config to show latin2 characters properly
  - requires man because we want to edit /etc/man.config
